package com.nisum.ascend.inventory.dto;

import lombok.Data;

import java.time.LocalDate;
import java.util.List;

@Data
public class Order {
    private String id;
    private long orderUpdatedAt;
    private long orderCreatedAt;
    private String customerId;
    private String customerEmailAddress;
    private String orderStatus;
    List<Item> orderItems;
    private String orderTrackingCode;
    private CustomerAddress customerAddress;
}
